LibreOffice: ContentIndex Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Included Services | Public Attributes | List of all members
ContentIndex Service Referencepublished

specifies service of content indexes within a document. More...

`import"ContentIndex.idl";`

Inheritance diagram for ContentIndex:

## Included Services
service | com::sun::star::text::BaseIndex

## Public Attributes
short | Level
| determines the depth of outline levels that are included into the content index. More...
boolean | CreateFromOutline
| determines if the document index is created from outlines. More...
com::sun::star::container::XIndexReplace | LevelParagraphStyles
| contains the interface to access the paragraph style names that are included in this index. More...
boolean | CreateFromMarks
| contains `TRUE` if the document index marks are included in this index. More...
Public Attributes inherited from BaseIndex
string | Title
| contains the title of the index. More...
boolean | IsProtected
| determines if the index is protected. More...
string | ParaStyleHeading
| contains the name of the paragraph style that is applied to the heading. More...
string | ParaStyleLevel1
| contains the name of the paragraph style that is applied to the 1st level. More...
string | ParaStyleLevel2
| contains the name of the paragraph style that is applied to the 2nd level. More...
string | ParaStyleLevel3
| contains the name of the paragraph style that is applied to the 3rd level. More...
string | ParaStyleLevel4
| contains the name of the paragraph style that is applied to the 4th level. More...
string | ParaStyleLevel5
| contains the name of the paragraph style that is applied to the 5th level. More...
string | ParaStyleLevel6
| contains the name of the paragraph style that is applied to the 6th level. More...
string | ParaStyleLevel7
| contains the name of the paragraph style that is applied to the 7th level. More...
string | ParaStyleLevel8
| contains the name of the paragraph style that is applied to the 8th level. More...
string | ParaStyleLevel9
| contains the name of the paragraph style that is applied to the 9th level. More...
string | ParaStyleLevel10
| contains the name of the paragraph style that is applied to the 10th level. More...
string | ParaStyleSeparator
| contains the name of the paragraph style that is applied to the separator level. More...
XTextColumns | TextColumns
| contains the column interface. More...
string | BackGraphicURL
| contains the URL of a graphic file that is displayed as background graphic More...
string | BackGraphicFilter
| contains the name of the filter of the graphic file that is displayed as background graphic More...
com::sun::star::style::GraphicLocation | BackGraphicLocation
| determines the position of the background graphic. More...
com::sun::star::util::Color | BackColor
| specifies the color of the background. More...
boolean | BackTransparent
| If `TRUE`, the background color value in "BackColor" is not visible. More...
com::sun::star::container::XIndexReplace | LevelFormat
| returns the interface of the level format of the index. More...
boolean | CreateFromChapter
| determines if the content of the document index is created from the complete document content or from the current chapter only. More...
com::sun::star::text::XTextSection | ContentSection
| the text section containing the content of the index More...
com::sun::star::text::XTextSection | HeaderSection
| the text section containing the header of the index More...

## Additional Inherited Members
Exported Interfaces inherited from BaseIndex
interface | com::sun::star::text::XDocumentIndex
interface | com::sun::star::util::XRefreshable
Public Member Functions inherited from XDocumentIndex
string | getServiceName ()
| returns the service name that was used to create this document index type. More...
void | update ()
| initiates an update to the document index. More...
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XRefreshable
void | refresh ()
| refreshes the data of the object from the connected data source. More...
void | addRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| adds the specified listener to receive the event "refreshed." More...
void | removeRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| removes the specified listener. More...

## Detailed Description

specifies service of content indexes within a document.

See also
  com::sun::star::text::BaseIndex

## Exported Interfaces

## § com::sun::star::text::BaseIndex

service com::sun::star::text::BaseIndex

## Member Data Documentation

## § CreateFromMarks

boolean CreateFromMarks
| optionalproperty

contains `TRUE` if the document index marks are included in this index.

## § CreateFromOutline

boolean CreateFromOutline
| optionalproperty

determines if the document index is created from outlines.

## § Level

short Level
| optionalproperty

determines the depth of outline levels that are included into the content index.

## § LevelParagraphStyles

com::sun::star::container::XIndexReplace LevelParagraphStyles
| optionalproperty

contains the interface to access the paragraph style names that are included in this index.

See also
  DocumentIndexParagraphStyles

The documentation for this service was generated from the following file:

- com/sun/star/text/ContentIndex.idl